import os

css_content = """body {
    word-wrap: break-word;
    font-family: sans-serif;
    counter-reset: sidenote-number;
}

h1, h2, h3 {
    text-align: center;
}

a {
    text-decoration: none;
}

.container {
    display: flex;
    justify-content: space-between;
}

.center-pane {
    width: 50%;
    margin-left: auto;
    margin-right: auto;
}

.footer {
    text-align: center;
    font-style: italic;
    font-family: serif;
}


.sidenote {
    font-size: 80%;
    position: relative;
}

@media (min-width: 1200px) {
    .sidenote {
        float: right;
        clear: right;
        margin-right: -40%;
        width: 40%;
    }
    .sidenote-count:hover .sidenote {
        background-color: yellow;
    }
    .checkbox {
        position: absolute;
        left: -999999px;
    }
    .sidenote-count::after {
        content: "["counter(sidenote-number)"]";
        font-size: 80%;
        vertical-align: super;
    }
}

@media (max-width: 1200px) {
    /* .sidenote {
        float: right;
        width: 100%
    } */
    .checkbox {
        height: 11px;
        vertical-align: super;
        margin-left: -2px;
    }

    .checkbox ~ .sidenote {
        position: absolute;
        left: -999999px;
    }
    .checkbox:checked ~ .sidenote {
        position: relative;
        float: right;
        left: 0px;
        width: 100%;
        display: block;
    }
}

.sidenote-count {
    counter-increment: sidenote-number;
}

.sidenote::before {
    content: counter(sidenote-number) ". ";
    position: relative;
}

td.linenos .normal { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
span.linenos { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
td.linenos .special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
body .hll { background-color: #49483e }
body .highlight { background: #272822; color: #f8f8f2; border-radius: 5px;}
body .c { color: #75715e } /* Comment */
body .err { color: #960050; background-color: #1e0010 } /* Error */
body .esc { color: #f8f8f2 } /* Escape */
body .g { color: #f8f8f2 } /* Generic */
body .k { color: #66d9ef } /* Keyword */
body .l { color: #ae81ff } /* Literal */
body .n { color: #f8f8f2 } /* Name */
body .o { color: #f92672 } /* Operator */
body .x { color: #f8f8f2 } /* Other */
body .p { color: #f8f8f2 } /* Punctuation */
body .ch { color: #75715e } /* Comment.Hashbang */
body .cm { color: #75715e } /* Comment.Multiline */
body .cp { color: #75715e } /* Comment.Preproc */
body .cpf { color: #75715e } /* Comment.PreprocFile */
body .c1 { color: #75715e } /* Comment.Single */
body .cs { color: #75715e } /* Comment.Special */
body .gd { color: #f92672 } /* Generic.Deleted */
body .ge { color: #f8f8f2; font-style: italic } /* Generic.Emph */
body .gr { color: #f8f8f2 } /* Generic.Error */
body .gh { color: #f8f8f2 } /* Generic.Heading */
body .gi { color: #a6e22e } /* Generic.Inserted */
body .go { color: #66d9ef } /* Generic.Output */
body .gp { color: #f92672; font-weight: bold } /* Generic.Prompt */
body .gs { color: #f8f8f2; font-weight: bold } /* Generic.Strong */
body .gu { color: #75715e } /* Generic.Subheading */
body .gt { color: #f8f8f2 } /* Generic.Traceback */
body .kc { color: #66d9ef } /* Keyword.Constant */
body .kd { color: #66d9ef } /* Keyword.Declaration */
body .kn { color: #f92672 } /* Keyword.Namespace */
body .kp { color: #66d9ef } /* Keyword.Pseudo */
body .kr { color: #66d9ef } /* Keyword.Reserved */
body .kt { color: #66d9ef } /* Keyword.Type */
body .ld { color: #e6db74 } /* Literal.Date */
body .m { color: #ae81ff } /* Literal.Number */
body .s { color: #e6db74 } /* Literal.String */
body .na { color: #a6e22e } /* Name.Attribute */
body .nb { color: #f8f8f2 } /* Name.Builtin */
body .nc { color: #a6e22e } /* Name.Class */
body .no { color: #66d9ef } /* Name.Constant */
body .nd { color: #a6e22e } /* Name.Decorator */
body .ni { color: #f8f8f2 } /* Name.Entity */
body .ne { color: #a6e22e } /* Name.Exception */
body .nf { color: #a6e22e } /* Name.Function */
body .nl { color: #f8f8f2 } /* Name.Label */
body .nn { color: #f8f8f2 } /* Name.Namespace */
body .nx { color: #a6e22e } /* Name.Other */
body .py { color: #f8f8f2 } /* Name.Property */
body .nt { color: #f92672 } /* Name.Tag */
body .nv { color: #f8f8f2 } /* Name.Variable */
body .ow { color: #f92672 } /* Operator.Word */
body .pm { color: #f8f8f2 } /* Punctuation.Marker */
body .w { color: #f8f8f2 } /* Text.Whitespace */
body .mb { color: #ae81ff } /* Literal.Number.Bin */
body .mf { color: #ae81ff } /* Literal.Number.Float */
body .mh { color: #ae81ff } /* Literal.Number.Hex */
body .mi { color: #ae81ff } /* Literal.Number.Integer */
body .mo { color: #ae81ff } /* Literal.Number.Oct */
body .sa { color: #e6db74 } /* Literal.String.Affix */
body .sb { color: #e6db74 } /* Literal.String.Backtick */
body .sc { color: #e6db74 } /* Literal.String.Char */
body .dl { color: #e6db74 } /* Literal.String.Delimiter */
body .sd { color: #e6db74 } /* Literal.String.Doc */
body .s2 { color: #e6db74 } /* Literal.String.Double */
body .se { color: #ae81ff } /* Literal.String.Escape */
body .sh { color: #e6db74 } /* Literal.String.Heredoc */
body .si { color: #e6db74 } /* Literal.String.Interpol */
body .sx { color: #e6db74 } /* Literal.String.Other */
body .sr { color: #e6db74 } /* Literal.String.Regex */
body .s1 { color: #e6db74 } /* Literal.String.Single */
body .ss { color: #e6db74 } /* Literal.String.Symbol */
body .bp { color: #f8f8f2 } /* Name.Builtin.Pseudo */
body .fm { color: #a6e22e } /* Name.Function.Magic */
body .vc { color: #f8f8f2 } /* Name.Variable.Class */
body .vg { color: #f8f8f2 } /* Name.Variable.Global */
body .vi { color: #f8f8f2 } /* Name.Variable.Instance */
body .vm { color: #f8f8f2 } /* Name.Variable.Magic */
body .il { color: #ae81ff } /* Literal.Number.Integer.Long */"""

def generate_stylesheet(css_content, output_dir):
    """Generate default stylesheet."""
    with open(os.path.join(output_dir, "style.css"), "w") as file:
        file.write(css_content)